UntagResource
Removes the specified tags from a resource.
Request Syntax
DELETE /v1/tags/resourceArn?tagKeys=tagKeys HTTP/1.1
URI Request Parameters
The request uses the following URI parameters.
- resourceArn
-
The Amazon Resource Name (ARN) of the resource.
Length Constraints: Minimum length of 20. Maximum length of 256.
Pattern:
arn:[A-Za-z0-9_:/-]+Required: Yes
- tagKeys
-
The list of tag keys to remove from the resource.
Array Members: Minimum number of 1 item.
Length Constraints: Minimum length of 1. Maximum length of 128.
Pattern:
.+Required: Yes
Request Body
The request does not have a request body.
Response Syntax
HTTP/1.1 200
Response Elements
If the action is successful, the service sends back an HTTP 200 response with an empty HTTP body.
Errors
For information about the errors that are common to all actions, see Common Error Types.
- AccessDeniedException
-
You do not have sufficient access to perform this action.
HTTP Status Code: 403
- InternalServerException
-
An unexpected error occurred during the processing of the request.
HTTP Status Code: 500
- ResourceNotFoundException
-
The request references a resource that does not exist. Verify that the resource identifier is correct and try your request again.
- resourceId
-
The identifier of the resource that could not be found.
- resourceType
-
The type of the resource that could not be found.
HTTP Status Code: 404
- ThrottlingException
-
The request was denied because it exceeded the allowed request rate.
HTTP Status Code: 429
- ValidationException
-
The input fails to satisfy the constraints specified by the service. Check your request parameters and retry the request.
HTTP Status Code: 400
See Also
For more information about using this API in one of the language-specific AWS SDKs, see the following: